<template>
  <div
    class="app-content content"
    :style="{ 'background-image': 'url(' + bgImg + ')' }"
    :class="[
      // $store.state.app.shallShowOverlay
      { 'show-overlay':  false},
      $route.meta.contentClass,
    ]"
  >
    <div class="content-overlay" />
    <div class="header-navbar-shadow" />
    <div
      class="content-wrapper mb-2"
      :class="contentWidth === 'boxed' ? 'container p-0' : null"
    >
      <slot name="breadcrumb">
        <app-breadcrumb />
      </slot>
      <div class="content-body">
        <transition :name="routerTransition" mode="out-in">
          <slot />
        </transition>
      </div>
    </div>
  </div>
</template>

<script>
import AppBreadcrumb from "@core/layouts/components/AppBreadcrumb.vue";
import useAppConfig from "@core/app-config/useAppConfig";
import { $themeConfig } from "@themeConfig";
export default {
  components: {
    AppBreadcrumb,
  },
  data() {
    const { appBodyBG } = $themeConfig.app;
    return {
      bgImg: appBodyBG
    };
  },
  setup() {
    const { routerTransition, contentWidth } = useAppConfig();

    return {
      routerTransition,
      contentWidth,
    };
  },
};
</script>

<style></style>
